aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--eclass/mozilla-scm.eclass21
1 files changed, 7 insertions, 14 deletions
diff --git a/eclass/mozilla-scm.eclass b/eclass/mozilla-scm.eclass
index 5c6f9fd..73caf02 100644
--- a/eclass/mozilla-scm.eclass
+++ b/eclass/mozilla-scm.eclass
@@ -93,12 +93,6 @@ function mozilla-scm_pkg_setup {
export LC_MESSAGES="C"
export LC_CTYPE="C"
- if ! ${IS_LIBXUL}; then
- elog "You are enabling official branding. You may not redistribute this build"
- elog "to any users on your network or the internet. Doing so puts yourself into"
- elog "a legal problem with Mozilla Foundation"
- fi
-
python_set_active_version 2
}
@@ -135,19 +129,18 @@ function mozilla-scm_src_install {
## pkg_postinst
##
function mozilla-scm_pkg_postinst {
- ewarn "This is experimental DO NOT file a bug report unless you can"
- ewarn "are willing to provide a patch. All bugs that are filled without a patch"
- ewarn "will be closed INVALID!!"
-
- if ${IS_LIBXUL}; then
- einfo "Don't forget to rebuild firefox/thunderbird to update it to the same changeset"
- else
+ if ! ${IS_LIBXUL}; then
ewarn "All the packages built against ${PN} won't compile,"
ewarn "any package that fails to build warrants a bug report."
- einfo "You should build xulrunner first to update the mercurial repository"
inherit fdo-mime
# Update mimedb for the new .desktop file
fdo-mime_desktop_database_update
fi
+
+ ewarn "This is experimental DO NOT file a bug report unless you can"
+ ewarn "are willing to provide a patch. All bugs that are filled without a patch"
+ ewarn "will be closed INVALID!!"
+
+ einfo "Don't forget to sync with meta-sync/mozilla-repositories"
}